# Autocomplete This endpoint is ideal for creating a list of choices as part of an autocomplete feature. Using any of the parameters that ends with _limit will return that items for that resource in the response. It is possible to include multiple parameters to return multiple resources. Endpoint: GET /autocomplete Version: 3.5.0 ## Header parameters: - `Accept-Language` (string) The value of this parameter might affect the language of the content in the response, provided a translation in the requested language is available. - `X-Musement-Application` (string) A partner's application value, used for analyzing API usage and to identify areas of improvement. - `X-Musement-Version` (string) The API version to use for the request. When absent, the latest version is used by default, however the latest version may not be stable. Partners are encouraged to use the latest stable version: 3.4.0. Example: "3.4.0" ## Query parameters: - `activity_limit` (integer) Limit the maximum number of activities to include in the response. A positive value is required in order to receive activities in the response. - `activity_offset` (integer) Exclude the first N activities from the response, where N is the specified integer value. - `category_limit` (integer) Limit the maximum number of categories to include in the response. A positive value is required in order to receive categories in the response. - `category_offset` (integer) Exclude the first N categories from the response, where N is the specified integer value. - `city_limit` (integer) Limit the maximum number of cities to include in the response. A positive value is required in order to receive cities in the response. - `city_offset` (integer) Exclude the first N cities from the response, where N is the specified integer value. - `coordinates` (string) Filter results using latitude and longitude, separated by a comma. By itself, this parameter does not affect the results. Use the sort_by parameter to get results closest (or farthest) from the specified coordinates. Results that do not contain coordinate data will not be affected by this parameter. - `country_limit` (integer) Limit the maximum number of countries to include in the response. A positive value is required in order to receive countries in the response. - `country_offset` (integer) Exclude the first N countries from the response, where N is the specified integer value. - `hotel_limit` (integer) Limit the maximum number of hotels to include in the response. A positive value is required in order to receive hotels in the response. - `hotel_offset` (integer) Exclude the first N hotels from the response, where N is the specified integer value. - `list_limit` (integer) Limit the maximum number of Musement lists to include in the response. A positive value is required in order to receive lists in the response. - `list_offset` (integer) Exclude the first N Musement lists from the response, where N is the specified integer value. - `pickup_limit` (integer) Limit the maximum number of pickup points to include in the response. A positive value is required in order to receive pickup points in the response. - `pickup_offset` (integer) Exclude the first N pickup points from the response, where N is the specified integer value. - `sort_by` (array) Sort results by one or more of the following values: * relevance: From lowest to highest relevance value. * -relevance: From highest to lowest relevance value. * distance: Results closest to the coordinates parameter appear first. * -distance: Results farthest from the coordinates parameter appear first. This parameter will accept two values, separated with a comma. Items which do not use relevance or coordinates will not be affected by this parameter. Enum: "distance", "-distance", "relevance", "-relevance" - `text` (string, required) Filter results to those which contain specified key words. - `venue_limit` (integer) Limit the maximum number of venues to include in the response. A positive value is required in order to receive venues in the response. Using a value greater than the maximum is ignored and the maximum number of possible results is used instead. - `venue_offset` (integer) Exclude the first N venues from the response, where N is the specified integer value. ## Response 200 fields (application/json): - `type` (string) The type of resource. Enum: "activities", "categories", "cities", "countries", "hotels", "lists", "pickups", "venues" - `items` (array) An array of items which match the query and corresponding resource type. - `items.api_url` (string) The API endpoint to use for more information about the item. - `items.cover_image` (string) A URL for the item's cover image. - `items.hint` (string, required) Additional information about the item, such as its city or country, translated based on the Accept-Language header value. - `items.id` (string, required) The UUID or numeric ID of the item, both represented as a string. - `items.title` (string, required) The name of the item, translated based on the Accept-Language header value. - `items.url` (string) An automatically generated Musement URL for the item based on the X-Musement-Market header and item properties. The URL is only valid for select X-Musement-Market values and items. ## Response default fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "0" - `message` (string, required) A message with a brief explanation of the error. Example: "There was an error"